diff --git "a/R:\\temp\\TvGBDA6.tmp\\TvGuideBase-3ff614f-left.cs" "b/D:\\Projekte\\MediaPortal\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\TvGuideBase.cs"
index f4d6e61..9f2aae8 100644
--- "a/R:\\temp\\TvGBDA6.tmp\\TvGuideBase-3ff614f-left.cs"
+++ "b/D:\\Projekte\\MediaPortal\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\TvGuideBase.cs"
@@ -1204,6 +1204,7 @@ namespace TvPlugin
 
       if (_cursorY == 0 || _currentProgram == null)
       {
+        GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.idProgram", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Title", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.CompositeTitle", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Time", String.Empty);
@@ -1232,6 +1233,7 @@ namespace TvPlugin
                                        _currentProgram.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                        _currentProgram.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
+		GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.idProgram", _currentProgram.idProgram);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Title", _currentProgram.Title);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.CompositeTitle", TVUtil.GetDisplayTitle(_currentProgram));
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Time", strTime);
@@ -3537,7 +3539,7 @@ namespace TvPlugin
     {
       IMDBMovie movieDetails = new IMDBMovie();
       movieDetails.SearchString = _currentProgram.Title;
-      if (IMDBFetcher.GetInfoFromIMDB(this, ref movieDetails, true, false))
+      if (IMDBFetcher.GetInfoFromIMDB(this, ref movieDetails, false, false))
       {
         TvBusinessLayer dbLayer = new TvBusinessLayer();
 
@@ -3547,7 +3549,7 @@ namespace TvPlugin
         {
           Program prog = (Program)progs[0];
           prog.Description = movieDetails.Plot;
-          prog.Genre = movieDetails.Genre;
+          // prog.Genre = movieDetails.Genre;
           prog.StarRating = (int)movieDetails.Rating;
           prog.Persist();
         }
@@ -3696,8 +3698,14 @@ namespace TvPlugin
                   case 938:
                     Log.Debug("TVGuide: switch currently running show to fullscreen");
                     GUIWaitCursor.Show();
-                    TVHome.ViewChannelAndCheck(_currentProgram.ReferencedChannel());
-                    GUIWaitCursor.Hide();
+                    try
+                    {
+                      TVHome.ViewChannelAndCheck(_currentProgram.ReferencedChannel());
+                    }
+                    finally
+                    {
+                      GUIWaitCursor.Hide();
+                    }
                     if (g_Player.Playing)
                     {
                       g_Player.ShowFullScreenWindow();
@@ -3717,8 +3725,14 @@ namespace TvPlugin
                 TVHome.UserChannelChanged = true;
                 // fixing mantis 1874: TV doesn't start when from other playing media to TVGuide & select program
                 GUIWaitCursor.Show();
-                TVHome.ViewChannelAndCheck(_currentProgram.ReferencedChannel());
-                GUIWaitCursor.Hide();
+                try
+                {
+                  TVHome.ViewChannelAndCheck(_currentProgram.ReferencedChannel());
+                }
+                finally
+                {
+                  GUIWaitCursor.Hide();
+                }
                 if (g_Player.Playing)
                 {
                   if (isPlayingTV) GUIWindowManager.CloseCurrentWindow();
@@ -4787,15 +4801,44 @@ namespace TvPlugin
 
     public bool OnRequestMovieTitle(IMDBFetcher fetcher, out string movieName)
     {
-      // won't occure
-      movieName = "";
-      return true;
+      movieName = fetcher.MovieName;
+      if (GetKeyboard(ref movieName))
+      {
+        if (movieName == string.Empty)
+        {
+          return false;
+        }
+        return true;
+      }
+      movieName = string.Empty;
+      return false;
     }
 
     public bool OnSelectMovie(IMDBFetcher fetcher, out int selectedMovie)
     {
-      // won't occure
-      selectedMovie = 0;
+      GUIDialogSelect pDlgSelect = (GUIDialogSelect)GUIWindowManager.GetWindow((int)Window.WINDOW_DIALOG_SELECT);
+      // more then 1 movie found
+      // ask user to select 1
+      pDlgSelect.Reset();
+      pDlgSelect.SetHeading(196); //select movie
+      for (int i = 0; i < fetcher.Count; ++i)
+      {
+        pDlgSelect.Add(fetcher[i].Title);
+      }
+      pDlgSelect.EnableButton(true);
+      pDlgSelect.SetButtonLabel(413); // manual
+      pDlgSelect.DoModal(GUIWindowManager.ActiveWindow);
+
+      // and wait till user selects one
+      selectedMovie = pDlgSelect.SelectedLabel;
+      if (pDlgSelect.IsButtonPressed)
+      {
+        return true;
+      }
+      if (selectedMovie == -1)
+      {
+        return false;
+      }
       return true;
     }
 
